> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/legacy-configuration-components/component-basket-legacy.md).

# Component: Basket (legacy)

**Note: This component is** no longer supported from Limio Release 106 onward&#x73;**. Customers should instead explore using the** [**Cart**](https://docs.limio.com/components/component-library/cart-components)[ **components**](https://docs.limio.com/components/component-library/cart-components) **instead.**

**Purpose**: Displays and allows editing of the basket / cart.

## Props

| heading              | Heading                                                          | string  | Basket                                                    | Displays heading text                                                                                                              |
| -------------------- | ---------------------------------------------------------------- | ------- | --------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| subheading           | Subheading                                                       | string  | Continue shopping or checkout now                         | Displays subheading text                                                                                                           |
| productHeading       | Product heading                                                  | string  | Product                                                   | Displays product heading text                                                                                                      |
| quantityHeading      | Quantity heading                                                 | string  | Quantity                                                  | Displays quantity heading text                                                                                                     |
| itemTotalHeading     | Item total heading                                               | string  | Item Total                                                | Displays item total text                                                                                                           |
| emptyBasketText      | Empty basket display text                                        | string  | Your basket is empty, please add something to your order. | Displays Empty basket display text                                                                                                 |
| removeLabel          | Remove from basket label                                         | string  | Remove                                                    | Displays remove from basket label                                                                                                  |
| totalLabel           | Total label                                                      | string  | Total:                                                    | Displays total label                                                                                                               |
| taxInfo              | Tax information                                                  | string  | \*Tax calculated at next step.                            | Displays tax information text                                                                                                      |
| goBackToPreviousPage | Go back goes to previous page in history?                        | boolean | false                                                     | If goBackUrl is not defined and this is set to true, the "Go back label" will take the user back to the previous page.             |
| goBackLabel          | Go back label                                                    | string  | Continue shopping                                         | Displays go back label                                                                                                             |
| goBackUrl            | Go back URL (If not set the button will go back to the referrer) | string  |                                                           | If defined, this is where the goBackLabel navigates to. This takes precedence over "Go back goes to the previous page in history". |
| goToCheckoutLabel    | Go to checkout label                                             | string  | Checkout                                                  | Displays go to checkout label                                                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-basket-legacy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
